
Figure - Bug #112763
【BSP】【EVT2】【3/20】【User】高概率进入不9008
2022-10-21 10:38 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-10-21

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 40%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1.DUT烧录10月20的Userdebug版本

【操作步骤】

1.给板子下上电

2.打开usb调试，输入adb reboot edl

【实际结果】

2.设备重启，不能进入9008

【预期结果】

2.设备进入9008

【概率】

3/20

History

#1 - 2022-10-21 10:39 - CDTS_TEST 刘勇

EVT2设备出现过不能进入9008，该设备就会必现。

#2 - 2022-10-24 16:07 - CD BSP-唐金泽

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to CD BSP-余霄

#3 - 2022-10-25 14:39 - CDTS_TEST 刘勇

- Subject changed from 【BSP】【EVT2】【高概率】【User】高概率进入不9008 to 【BSP】【EVT2】【3/20】【User】高概率进入不9008

#4 - 2022-10-25 18:41 - CD BSP-余霄

已提高通CASE，正在与高通确认

case号:

06299882

#5 - 2022-10-26 17:55 - CD BSP-余霄
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

目前USB端口默认配置有问题

请帮忙测试是否是由该问题引起的。

修复代码：

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/usb/+/157848

代码10.26已合入，请用10.27DB版本进行测试验证。

#6 - 2022-10-28 10:11 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD Test赵飞

#7 - 2022-10-28 13:46 - CD Test赵飞

- Status changed from NEED_INFO to RESOLVED

- % Done changed from 0 to 70

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

验证结果：PASS

执行adb reboot edl命令10次，DUT均可以正常进入9008模式

概率问题，继续跟踪2个版本

#8 - 2022-10-28 19:58 - CD Test赵飞

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

- % Done changed from 70 to 80

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0041.X101

验证结果：PASS

执行adb reboot edl命令10次，DUT均可以正常进入9008模式

概率问题，继续跟踪1个版本

#9 - 2022-10-31 17:20 - CDTS_TEST 刘勇

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221020.alpha_0038 to

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

【HW】EVT2-VX1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

【前提条件】

1.DUT烧录10月29的Userdebug版本

【操作步骤】

1.给板子下上电

2.打开usb调试，输入adb reboot edl

【实际结果】
2.设备进入9008

【复测次数】10次

【复测结果】未复现，已跟踪3个版本，后续发现再提交BUG，现关闭次BUG

#10 - 2022-10-31 17:20 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CD Test赵飞 to CDTS_TEST 刘勇

#11 - 2022-10-31 17:20 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

#12 - 2022-11-03 10:04 - CDTS_TEST 王成

- Status changed from CLOSED to New

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

在11.2号的版本上复现了，user版本跑一晚上monkey待机一晚后、用reboo edl命令、直接重启未进入9008模式

#13 - 2022-11-03 17:50 - CD Test赵飞

- File COM22USBSerialPortCOM22_20221103_134040.txt added

- Assignee changed from CDTS_TEST 刘勇 to CD BSP-余霄

- % Done changed from 80 to 40

串口日志见附件

#14 - 2022-11-04 11:54 - CD BSP-余霄

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-余霄 to CD SYSTEM-胡兵

HI 胡兵

关键日志如下，请帮忙确认一下原因

[79535.806005] init: Received sys.powerctl='reboot,edl' from pid: 26281 (/system/bin/reboot)

[79535.808421] mv2112_read_status

[79535.814757] init: sys.powerctl: do_shutdown: 0 IsShuttingDown: 0

[79535.818461] mv2112_update_link: 3.0x901(1G): 0x80

[79535.824554] init: Got shutdown_command 'reboot,edl' Calling HandlePowerctlMessage()

[79535.829409] mv2112_update_link: 3.0x8109(100M): 0x8

[79535.841900] mv2112_update_link: link 0x0

[79535.842668] [MAX975X:mcu_keep_wakeup_work_func] ERROR  ERR gpio detected

[79535.844040] init: Clear action queue and start shutdown trigger

[79535.844181] init: Entering shutdown mode

[79535.846261] mv2112_read_status: autoneg is disabled

[79535.847081] init: processing action (shutdown_done) from (<Builtin Action>:0)

[79535.847135] init: Reboot start, reason: reboot,edl, reboot_target: edl

[79535.847172] init: Shutdown timeout: 6000 ms

[79535.847198] init: Create reboot monitor thread.

[79535.847630] init: shutdown_timeout_timespec.tv_sec: 79841
#15 - 2022-11-10 16:52 - CD SYSTEM-胡兵

Hi ALL

针对此问题，高通软件(PMIC)看出来是PM8150发生UVLO，需要硬件抓取异常时VBUS_IN, VBAT, VPH, FAULT_N, PS_HOLD, PON_RESET_N信

号进行分析，内部拉通信息后，似乎有同样的问题发生在8250平台，

请测试同学先使用此版本进行复测验证，如果还有问题则需要拉硬件介入共同分析。

    ftp: 10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221109/202211092207-2251

Thanks.

#16 - 2022-11-10 17:49 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CDTS_TEST 刘勇

#17 - 2022-11-16 16:36 - CDTS_TEST 王成

- Status changed from ASSIGNED to NEED_INFO

继续复测跟踪，复现之后将BUG指派到硬件一起验证

#18 - 2022-11-16 17:09 - CDTS_TEST 王成

- Severity changed from Normal to Major

#19 - 2022-11-18 16:12 - CDTS_TEST 刘勇

【HW】EVT2-VC1及屏幕

【SW】ftp: 10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221109/202211092207-2251

【前提条件】

1.DUT烧录VB版本

【操作步骤】

1.给板子下上电

2.打开usb调试，输入adb reboot edl

【实际结果】

2.设备能进入9008

【跟踪复现次数】10 次

【复现结果】未复现

#20 - 2022-11-21 13:54 - CDTS_TEST 刘勇

【HW】EVT2-VC1及屏幕

【SW】FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211190335

【前提条件】

1.DUT烧录VB版本

【操作步骤】

1.给板子下上电

2.打开usb调试，输入adb reboot edl

【实际结果】

2.设备能进入9008

【跟踪复现次数】3 次

【复现结果】未复现
#21 - 2022-11-22 10:44 - CDTS_TEST 刘勇

【HW】EVT2-VX1及屏幕、EVT1-VC1及屏

【SW】FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211190335

【前提条件】

1.DUT烧录VB版本

【操作步骤】

1.给板子下上电

2.打开usb调试，输入adb reboot edl

【实际结果】

2.设备能进入9008

【跟踪复现次数】3 次

【复现结果】未复现（跑monkey和高温测试都未复现）

#22 - 2022-12-01 10:20 - CDTS_TEST 刘勇

- Status changed from NEED_INFO to RESOLVED

#23 - 2022-12-01 10:20 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#24 - 2022-12-01 10:21 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

#25 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164192 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

hubing0803@thundersoft.com

System:Stability:The device cannot enter 9008 by command with low probabilityThe device cannot enter 9008 through "adb reboot edl" with low probaility.

Investigation foundthat it is related to WLED, so the related functions are bannedTC-RID: 0300-0800302IssueID: TS-R-BUG-112763Change-Id:

Idb73f204ef07f590584e54fed647975b259fabce

Files

COM22USBSerialPortCOM22_20221021_101631.txt 208 KB 2022-10-21 CDTS_TEST 刘勇

tlog.zip 10.5 MB 2022-10-21 CDTS_TEST 刘勇

COM22USBSerialPortCOM22_20221103_134040.txt 336 KB 2022-11-03 CD Test赵飞
